Bug 1010597 - [abrt] evolution-3.8.5-2.fc19: gtk_widget_queue_draw, Oxygen::ToolBarStateData::delayedUpdate
[abrt] evolution-3.8.5-2.fc19: gtk_widget_queue_draw, Oxygen::ToolBarStateDat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oxygen-gtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:45b002eebe7f76777acc8346745...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 16:21 EDT by Adam Stein
Modified: 2014-01-29 22:34 EST (History)
5 users (show)

See Also:
Fixed In Version: oxygen-gtk2-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 22:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (97.17 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: core_backtrace (67.94 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: dso_list (28.25 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: environ (1.79 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: maps (148.60 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: open_fds (10.05 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details
File: var_log_messages (15.00 KB, text/plain)
2013-09-21 16:21 EDT, Adam Stein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 325196 None None None Never

  None (edit)
Description Adam Stein 2013-09-21 16:21:08 EDT
Description of problem:
Was switching from calendar to mail

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/evolution
crash_function: gtk_widget_queue_draw
executable:     /usr/bin/evolution
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_queue_draw at gtkwidget.c:4981
 #2 Oxygen::ToolBarStateData::delayedUpdate at /usr/src/debug/oxygen-gtk3-1.2.0/src/animations/oxygentoolbarstatedata.cpp:329
 #3 Oxygen::ToolBarStateData::updateState at /usr/src/debug/oxygen-gtk3-1.2.0/src/animations/oxygentoolbarstatedata.cpp:175
 #4 Oxygen::ToolBarStateData::registerChild at /usr/src/debug/oxygen-gtk3-1.2.0/src/animations/oxygentoolbarstatedata.cpp:115
 #5 Oxygen::render_frame at /usr/src/debug/oxygen-gtk3-1.2.0/src/oxygenthemingengine.cpp:1017
 #6 gtk_render_frame at gtkstylecontext.c:3959
 #7 gtk_button_draw at gtkbutton.c:1724
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #9 gtk_widget_draw_marshaller at gtkwidget.c:855
 #14 _gtk_widget_draw_internal at gtkwidget.c:6165
Comment 1 Adam Stein 2013-09-21 16:21:14 EDT
Created attachment 800998 [details]
File: backtrace
Comment 2 Adam Stein 2013-09-21 16:21:17 EDT
Created attachment 800999 [details]
File: cgroup
Comment 3 Adam Stein 2013-09-21 16:21:21 EDT
Created attachment 801000 [details]
File: core_backtrace
Comment 4 Adam Stein 2013-09-21 16:21:24 EDT
Created attachment 801001 [details]
File: dso_list
Comment 5 Adam Stein 2013-09-21 16:21:27 EDT
Created attachment 801002 [details]
File: environ
Comment 6 Adam Stein 2013-09-21 16:21:29 EDT
Created attachment 801003 [details]
File: exploitable
Comment 7 Adam Stein 2013-09-21 16:21:33 EDT
Created attachment 801005 [details]
File: limits
Comment 8 Adam Stein 2013-09-21 16:21:40 EDT
Created attachment 801008 [details]
File: maps
Comment 9 Adam Stein 2013-09-21 16:21:42 EDT
Created attachment 801010 [details]
File: open_fds
Comment 10 Adam Stein 2013-09-21 16:21:45 EDT
Created attachment 801012 [details]
File: proc_pid_status
Comment 11 Adam Stein 2013-09-21 16:21:48 EDT
Created attachment 801014 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-09-23 07:50:25 EDT
Thanks for a bug report. This looks like a crash in oxygen-gtk3 code, at least it's one of the most top libraries in the backtrace's crashing thread. It doesn't necessarily mean there is an issue with that library, because the crash could happen due to some memory corruption caused earlier during application's run.

I'm moving this to oxygen-gtk3 for an investigation. Please return this bug back to evolution, in case you think the crash happened do to something else. Thanks in advance.
Comment 13 Fedora Update System 2014-01-20 17:36:34 EST
oxygen-gtk2-1.4.2-1.fc19,oxygen-gtk3-1.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.4.2-1.fc19,oxygen-gtk3-1.2.2-1.fc19
Comment 14 Fedora Update System 2014-01-20 21:32:48 EST
oxygen-gtk2-1.4.2-1.fc20, oxygen-gtk3-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.4.2-1.fc20,oxygen-gtk3-1.3.2-1.fc20
Comment 15 Fedora Update System 2014-01-21 22:06:59 EST
oxygen-gtk2-1.4.2-1.fc20, oxygen-gtk3-1.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-01-29 22:34:54 EST
oxygen-gtk2-1.4.2-1.fc19, oxygen-gtk3-1.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.